AutoCAD MEP 2009 Object Enabler Readme

The AutoCAD MEP 2009 Object Enabler makes AEC objects come to life in 2009 releases of AutoCAD, AutoCAD Architecture, AutoCAD Electrical, AutoCAD Mechanical, AutoCAD Map 3D, Civil 3D, Land Desktop, and Mechanical Desktop. For earlier versions of these products and VIZ, please refer to www.autodesk.com\enablers for the correct version to download. This new release leverages ObjectDBX technology allowing object data created in AutoCAD MEP 2009 and earlier releases to be accessed outside the AutoCAD MEP environment.

Experience Autodesk AutoCAD MEP 2009 functionality and flexibility including:
Receive DWG files created in Building Systems R1, R2, 3, 2004, 2005, 2006, 2007, 2007.1, as well as AutoCAD MEP 2008 and 2009.
View and modify AEC objects using AutoCAD commands such as MOVE, COPY, STRETCH.
Improved object snap support.
Elimination of proxy graphics messages.
Supplement an office that has a mix of AutoCAD MEP and other AutoCAD-based seats, allowing improved interoperability between users.

In AutoCAD Map 3D 2009, access and query data from different drawings created in AutoCAD MEP.

AutoCAD MEP Object Enablers are freeware applications distributed to Autodesk customers at no charge for the purpose of fully accessing AutoCAD MEP drawing files. Without this object enabler installed, you can share drawings using proxy graphics representations or the Export to AutoCAD command.

What do you want to do?
Access and install the AutoCAD MEP Object Enabler
Share drawings using the AutoCAD MEP Object Enabler
Known Isuues with the AutoCAD MEP Object Enabler
Overview of proxy graphics
Questions and answers


Access and install the AutoCAD MEP Object Enabler

Access and install the AutoCAD MEP Object Enabler

The AutoCAD MEP 2009 Object Enabler is installed as part of the normal installation of all AutoCAD 2009-based products, including AutoCAD, AutoCAD Architecture, AutoCAD Electrical, AutoCAD Mechanical, AutoCAD Map 3D, Civil 3D, Land Desktop, and Mechanical Desktop.

Previous versions of the AutoCAD MEP and Building Systems Object Enabler as well as object enablers for Civil, Land, and Mechanical products can be downloaded from the Autodesk website at www.autodesk.com\enablers.

A silent installation of the AutoCAD MEP 2009 Object Enabler can be configured using the /q quiet switch. The following is an example of the context used for a quiet installation:

\\ServerName\ACD-MEP_ObjectEnabler\AutoCAD MEP 2009 OE.exe /q


Sharing drawings using the AutoCAD MEP Object Enabler

Sharing drawings using the AutoCAD MEP Object Enabler

The AutoCAD MEP Object Enabler provides an advanced level of compatibility for users of AutoCAD 2009-based applications to share files with AEC objects. The object enabler "wakes up" the AEC objects enabling full use of the AutoCAD environment with support for AutoCAD MEP’s multiple display representations. With the AutoCAD MEP Object Enabler installed you can load any file created with AutoCAD MEP into many AutoCAD-based applications and see exactly the same object display as in AutoCAD MEP.

Use of the AutoCAD MEP Object Enabler can reduce or eliminate the need to store proxy graphics. File sizes are smaller, and drawing compatibility is improved. For example, an AutoCAD 2009 user can load an AutoCAD MEP drawing and experience exactly the same behavior of objects using object snaps or many of the standard AutoCAD commands such as MOVE, COPY or ROTATE. Installing the AutoCAD MEP Object Enabler will not significantly impact the performance of the host program. The AutoCAD MEP Object Enabler requires less than 40 MB of additional system memory. Installed files will take storage space on your hard drive, and will only be accessed when drawings containing AEC objects are opened.


Overview of Proxy Graphics

Overview of proxy graphics

AutoCAD MEP uses object technology to represent walls, doors, windows, stairs, roofs, and other architectural components. These objects are stored in your drawing (DWG) files and to access them, you must run AutoCAD MEP or an equivalent ObjectARX application capable of reading AEC objects.

Proxy graphics provide an alternative means to display objects using simple graphical representations. Objects represented as proxy graphics lack the full "intelligence" of true objects. You cannot copy a proxy object, nor can you reposition a door within a wall when these objects are represented by proxy graphics. AutoCAD uses this mechanism for DWG file compatibility with other applications which share DWG files, such as VIZ or Autodesk View.

Note: If you are sharing files with AutoCAD users, a better alternative to proxy graphics is to have the AutoCAD users install the appropriate object enabler.

To share AutoCAD MEP drawings using proxy graphics successfully, it is important to understand the multiple display representations of AEC objects and how they are stored as proxy graphics. Each object can store a single proxy representation. Therefore it is important to configure your work session to be sure the file you are saving displays correctly in the shared application. For example, an Air Teminal can be displayed using a model, plan, or reflected ceiling representation and proxy graphics for an Air Terminal can be saved as one of several display representations.

What do you want to do?

  • Save drawings with proxy graphics
  • Configure AutoCAD to display proxy graphics
  • AutoCAD MEP Performance Tips


Save your drawing with proxy graphics

Save drawings with proxy graphics

  1. At the command line, type PROXYGRAPHICS and press ENTER.
  2. Type 1 and press ENTER to set the variable to true. This is a drawing-based setting, so it needs to be done one time in each drawing.
  3. At the command line, type ISAVEPERCENT and press ENTER.
  4. Type 0 and press ENTER to set the value to zero percent. This is a registry-based setting, so it only needs to be set once.
  5. Save your drawing with the active viewport set to display the graphics to be saved as proxy graphics.

Note: ISAVEPERCENT must be set to zero to enable consistent control of the graphical representations being saved with proxy graphics. Failure to set this value to zero can result in mixed graphical representations saved as proxy graphics. See also AutoCAD MEP Performance Tips.


Configure AutoCAD to display proxy graphics

Configure AutoCAD to display proxy graphics

  1. At the command line, type OPTIONS and press ENTER.
  2. Click the Open and Save tab.
  3. In the Proxy images for custom objects dropdown, select Show proxy graphics.
  4. Click OK.


AutoCAD MEP Performance Tips

AutoCAD MEP Performance Tips

AutoCAD MEP leverages ObjectARX object technology and how to optimize your system depends on how you use AEC objects. If you are working exclusively with AutoCAD MEP or a combination of AutoCAD MEP and adjacent seats of AutoCAD 2009 equipped with the AutoCAD MEP 2009 Object Enabler, you can significantly decrease file size and improve file performance by eliminating the storage of proxy graphics.

AEC objects are relatively complex compared with traditional AutoCAD objects such as lines, arcs, and text. For example, a stair object can have hundreds of graphical primitives used in its display. Consequently object snap settings need to be set in a manner that is consistent with your performance requirements. Turning on numerous running object snap options can significantly hinder object snap performance when moving the cursor in the vicinity of stairs. This can be managed by setting and changing the AutoCAD object snap options.

What do you want to do?

  • Configure AutoCAD MEP to disable proxy graphics during file save
  • Install the AutoCAD MEP Object Enabler on adjacent AutoCAD seats


Known Issues

Plotting AutoCAD MEP drawings

  • Label curve objects may not plot at the same rotation as in the drawing viewport. The cause of this behavior is due to a rotation being applied by the Drawing Orientation within the plot dialog. By default, the labels will have the proper rotation if the Drawing Orientation is set to Landscape. If the Drawing Orientation is set to Portrait, some labels may be rotated 180 degrees. To workaround this problem perform the following: Set the Drawing Orientation in the plot dialog to Landscape and then back to Portrait, click on the “Apply to Layout” button and cancel out of the dialog box. This will cause the settings from the dialog box to be saved back into the drawing, so the next time that you run the PLOT command, since the current layout has been updated, the labels should be plot in the correct orientation.


Questions and Answers

Questions and Answers

What is the AutoCAD MEP 2009 Object Enabler?

The AutoCAD MEP 2009 Object Enabler is a utility that provides new functionality and design flexibility through the power of AEC objects to customers using the 2009 releases of AutoCAD, AutoCAD Architecture, AutoCAD Electrical, AutoCAD Mechanical, AutoCAD Map 3D, Civil 3D, Land Desktop, and Mechanical Desktop. With the AutoCAD MEP 2009 Object Enabler, users working with these products can enjoy full compatibility with AEC objects from 2009 and earlier releases.

Objects retain their intelligence and provide AutoCAD functionality that is nearly identical to AutoCAD MEP. For example, within AutoCAD 2009, AutoCAD commands, including OSNAP, MOVE, COPY, TRIM, EXTEND, and EXPLODE, are fully supported with AEC objects. In addition, objects provide full display characteristics including support for multiple views.

What AutoCAD commands are available with AutoCAD MEP Object Enabler?

When the AutoCAD MEP Object Enabler is installed, objects respond to AutoCAD software commands the same way they do in AutoCAD MEP. The majority of AutoCAD MEP commands, however, are not available, including commands to edit object-specific properties and object styles. These are some of the AutoCAD commands you will be able to use specifically on AEC objects:

· MOVE: Objects are movable from on location to another.

· COPY: Allows creation of additional objects from within AutoCAD based on current objects in the drawing.

· ROTATE: Automatic cleanup where relevant.

· ERASE: Objects delete intelligently; for example, deleting a door automatically heals the wall.

· TRIM and EXTEND: Trim and extend objects with automatic cleanup.

· ARRAY: Allows multiple copies of objects with automatic cleanup where relevant.

· EXPLODE: Allows AEC objects to be exploded leading to the creation of blocks.

· OSNAP: Logical and graphic node points enabled with the object's graphical display.

· Multiple Viewport Display: Allows viewport and display configuration to be viewed, limited to the viewport configuration saved with the original AutoCAD MEP drawing.

Most AutoCAD commands are supported in the same manner as AutoCAD MEP.

What specific benefits does the AutoCAD MEP Object Enabler provide to users of AutoCAD-based applications?

By allowing correct viewing and manipulation of AEC objects in AutoCAD-based applications, you can:

· Collaborate with colleagues using AutoCAD MEP

· Efficiently implement a mix of AutoCAD MEP and other AutoCAD-based applications, minimizing upgrade transition difficulty and increasing productivity

· Experience the power of intelligent AEC objects while editing and revising AutoCAD MEP drawings and models

· Preview the power of AutoCAD MEP without purchasing the product by downloading sample exercises and following suggested steps to highlight the benefits of AEC objects

How is the AutoCAD MEP Object Enabler different from proxy graphics?

The AutoCAD MEP Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable "common denominator" of interoperability across the Autodesk product line but the AutoCAD MEP Object Enabler provides a more robust level of compatibility for AutoCAD users, allowing them to benefit from the power of AEC objects. When the AutoCAD MEP Object Enabler is installed on AutoCAD, there is no proxy message displayed when opening a file that contains AEC objects.

What additional functionality do I get with AutoCAD MEP?

AutoCAD MEP was designed for the architectural design process, and provides a full suite of engineering tools. AutoCAD MEP includes conceptual modeling and planning, creation and editing of objects using right-click menus and a variety of predefined styles, and development of construction documentation using display management and layering designed for architects. For more information and details visit www.autodesk.com\buildingsystems.

How do I use the AutoCAD MEP Object Enabler?

Once installed, AutoCAD MEP Object Enabler works automatically with your existing AutoCAD configuration. If you open a DWG file containing AEC objects, they are "live" and you are able to edit them directly using AutoCAD commands. The power of the AutoCAD MEP Object Enabler is the ability to use existing and familiar AutoCAD commands on AEC objects without the need to learn new functionality.

Can I create intelligent objects using the AutoCAD MEP Object Enabler on AutoCAD?

There are no commands to create new AEC objects using AutoCAD and the AutoCAD MEP Object Enabler. Copying existing AEC objects, however, is supported, and the copied AEC objects retain their intelligence. For example, a door copied from one wall to another wall automatically cuts the wall and anchors appropriately. In order to have commands to create new AEC objects and change object styles, you need the full version of AutoCAD MEP.

What are Display Configurations and how do they work with the AutoCAD MEP Object Enabler?

AEC objects provide different graphic display depending on viewing direction and AutoCAD viewport settings. This allows architects and designers to configure different viewports to display objects appropriately for different uses, such as for floor plans, reflected ceiling plans, or isometric or perspective views of a 3D model. The different display configurations available in AutoCAD MEP are fully supported in the AutoCAD MEP Object Enabler, allowing AEC objects to respond to changes in viewing direction and respect the Display Configurations assigned to viewports in AutoCAD MEP. Users of AutoCAD-based applications with the AutoCAD MEP Object Enabler will be able to select Display Configurations that have previously been established in AutoCAD MEP. However, users will not be able to modify those display configurations.

Once I download and install the AutoCAD MEP Object Enabler, does it automatically initialize every time I launch the host application, or does it demand load?

The AutoCAD MEP Object Enabler is a demand-loading program which only initializes when needed in AutoCAD-based applications. In other words, the AutoCAD MEP Object Enabler is not loaded in an AutoCAD session until a drawing containing AEC objects is opened. You can prevent the AutoCAD MEP Object Enabler from loading even if an AutoCAD MEP drawing is opened.

To disable demand loading of the Object Enabler

1. At the command line, type OPTIONS and press ENTER.

2. Click the Open and Save tab.

3. In the Demand load ObjectARX apps drop-down list, select Command invoke. This setting allows other ARX applications, such as ISM, to be loaded when an image command is used.

4. Click OK.

How much does the AutoCAD MEP Object Enabler cost?

The AutoCAD MEP Object Enabler is available at no charge to use and distribute. There is no payment required before or after installation. By downloading the AutoCAD MEP Object Enabler from the Autodesk website, you agree to the terms and conditions of its usage.

Is AutoCAD MEP Object Enabler free to distribute?

Yes; however, by downloading it from the Autodesk website you agree to the terms and conditions of its usage.

What limitations are there with AutoCAD MEP Object Enabler?

· No AEC commands for object editing – AEC objects may only be edited using standard AutoCAD commands such as MOVE, COPY, and ROTATE. AEC objects viewed in AutoCAD cannot have their style or properties edited.

· Right-click context-sensitive edit options are disabled - AutoCAD MEP allows right-clicking and editing of all objects. This is not available to users of AutoCAD-based applications with the AutoCAD MEP Object Enabler.

· Preset display configurations - The multiple display capabilities of AEC objects are fully enabled, meaning anything that has been set up and saved in the AutoCAD MEP session is preserved, but it is not possible to modify existing configuration.

· Stretch command - This command will not affect most AEC objects due to the special grip behavior that is implemented in AutoCAD MEP.

Does AutoCAD MEP Object Enabler include support for Land Desktop or Civil 3D objects?

No. There are Land Desktop and Civil 3D specific object enablers that you can download from www.autodesk.com\enablers.

Does AutoCAD MEP Object Enabler include support for Mechanical Desktop objects?

The AutoCAD MEP Object Enabler only supports objects from AutoCAD MEP.

Does AutoCAD MEP Object Enabler include ObjectARX objects from third-party developers?

No. The AutoCAD MEP Object Enabler only supports objects from AutoCAD MEP. Many Autodesk partners support the AutoCAD proxy graphic mechanism or provide viewers for their objects at no charge. Contact the independent application developer for more information.


Disable save of proxy graphics

AutoCAD Architecture 2009 Object Enabler Readme

Disable proxy graphics during file save

  1. At the command line, type PROXYGRAPHICS and press ENTER.
  2. Type 0 and press ENTER to set the variable to false.
  3. At the command line, type ISAVEPERCENT and press ENTER.
  4. Type 50 and press ENTER to set the variable to fifty percent, which is the default AutoCAD value.

Note: ISAVEPERCENT must be set to zero if proxy graphics are enabled. If proxy graphics are disabled, ISAVEPERCENT can be set to any value from 0 to 100.